package com.fufan.mtsaas.modules.sysmgr.common.xmlpojo;

import org.springframework.beans.factory.annotation.Value;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * SYS访问服务XML head内容
 */
public class XMLRequsetHead {
    /**
     * 接口版本号
     */
    @Value("${SYS_VERSION}")
    private String VERSION = "1.0";
    /**
     * 请求方流水号
     */
    private String REQSN = "1111111111111111111111";
    /**
     * 请求时间
     */
    private String PTIME = new SimpleDateFormat("yyyyMMddhhmmss").format(new Date(System.currentTimeMillis()));
    /**
     * 操作来源IP
     */
    private String IP;
    /**
     * 业务代码
     */
    private String PROCCODE;
    /**
     * 客户商户号
     */
    private String MERCHANTID;
    /**
     * 保单归属商户号
     */
    private String TRANMERNO;
    /**
     * 操作员账号
     */
    private String STUFFID;


    public String getVERSION() {
        return VERSION;
    }

    public void setVERSION(String VERSION) {
        this.VERSION = VERSION;
    }

    public String getREQSN() {
        return REQSN;
    }

    public void setREQSN(String REQSN) {
        this.REQSN = REQSN;
    }

    public String getPTIME() {
        return PTIME;
    }

    public void setPTIME(String PTIME) {
        this.PTIME = PTIME;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String IP) {
        this.IP = IP;
    }

    public String getPROCCODE() {
        return PROCCODE;
    }

    public void setPROCCODE(String PROCCODE) {
        this.PROCCODE = PROCCODE;
    }

    public String getMERCHANTID() {
        return MERCHANTID;
    }

    public void setMERCHANTID(String MERCHANTID) {
        this.MERCHANTID = MERCHANTID;
    }

    public String getTRANMERNO() {
        return TRANMERNO;
    }

    public void setTRANMERNO(String TRANMERNO) {
        this.TRANMERNO = TRANMERNO;
    }

    public String getSTUFFID() {
        return STUFFID;
    }

    public void setSTUFFID(String STUFFID) {
        this.STUFFID = STUFFID;
    }

    @Override
    public String toString() {
        return "XMLRequsetHead{" +
                "VERSION='" + VERSION + '\'' +
                ", REQSN='" + REQSN + '\'' +
                ", PTIME='" + PTIME + '\'' +
                ", IP='" + IP + '\'' +
                ", PROCCODE='" + PROCCODE + '\'' +
                ", MERCHANTID='" + MERCHANTID + '\'' +
                ", TRANMERNO='" + TRANMERNO + '\'' +
                ", STUFFID='" + STUFFID + '\'' +
                '}';
    }
}
